Participant APIs | REST

Selected Version:
Download Open API File

Get the Plan Level Expenses assigned to the Service Category

https://api.wealthcare.com/participant/services/participant/expenses/ExpenseList/{tpaId}/{employerId}/{participantId}

Retrieve the plan-level expenses associated with a specific service category for a participant. This endpoint is useful for displaying eligible expenses within the WealthCare Portal and Mobile applications.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • planId string Required

    Identifier for the specific plan to retrieve expenses from. This parameter is required to filter the expenses by plan.

  • planStartDate string Required

    The start date of the plan in ISO 8601 format (YYYY-MM-DD). This date is used to filter expenses that are applicable from the start of the plan.

  • planEndDate string Required

    The end date of the plan in ISO 8601 format (YYYY-MM-DD). This date is used to filter expenses that are applicable until the end of the plan.

Response

  • array <object>
    • ExpenseId integer <int32>

      Service Category Expense Id.

    • ExpenseName string

      Service Category Expense Name.

    • ExpenseDescription string

      Service Category Expense Description.

    • InEligible boolean

      Display Service Category Expense Option InEligible - Valid values are true and false.

    • Eligible boolean

      Display Service Category Expense Option Eligible - Valid values are true and false.

    • EligibleWithRx boolean

      Display Service Category Expense Option EligibleWithRx - Valid values are true and false.

    • EligibleWithLMN boolean

      Display Service Category Expense Option EligibleWithLMN - Valid values are true and false.

    • PotentiallyEligible boolean

      Display Service Category Expense Option PotentiallyEligible - Valid values are true and false.

  • array <object>
    • ExpenseId integer <int32>

      Service Category Expense Id.

    • ExpenseName string

      Service Category Expense Name.

    • ExpenseDescription string

      Service Category Expense Description.

    • InEligible boolean

      Display Service Category Expense Option InEligible - Valid values are true and false.

    • Eligible boolean

      Display Service Category Expense Option Eligible - Valid values are true and false.

    • EligibleWithRx boolean

      Display Service Category Expense Option EligibleWithRx - Valid values are true and false.

    • EligibleWithLMN boolean

      Display Service Category Expense Option EligibleWithLMN - Valid values are true and false.

    • PotentiallyEligible boolean

      Display Service Category Expense Option PotentiallyEligible - Valid values are true and false.

Response Headers
No response yet.
Response Body
No response yet.

AI Assistant Preview

Generating response...